﻿@page "{handler?}"
@addTagHelper *, Demo.App.TagHelpers
@model IndexModel
@{
    ViewData["Title"] = "Unos proizvoda";
}

<div class="text-center">
    <h1 class="display-4">Proizvodi</h1>
</div>

@if (!string.IsNullOrWhiteSpace(Model.Poruka))
{
    <div class="alert alert-@Model.VrstaPoruke">
        @Model.Poruka
    </div>
}

@if (Model.Proizvod != null)
{
    <form method="post">
        <fieldset>
            <legend>Ažuriranje proizvoda</legend>
            <div class="form-group">
                <label>Ime</label>
                <input asp-for="@Model.Proizvod.Name" />
                <span asp-validation-for="@Model.Proizvod.Name"></span>
            </div>
            <div class="form-group">
                <label>Opis</label>
                <input asp-for="@Model.Proizvod.Description" />
                <span asp-validation-for="@Model.Proizvod.Description"></span>
            </div>
            <div class="form-group">
                <label>Cijena</label>
                <input asp-for="@Model.Proizvod.Price" />
                <span asp-validation-for="@Model.Proizvod.Price"></span>
            </div>


            <button type="submit" class="btn btn-primary" asp-page-handler="UpdateProduct" asp-route-id="@Model.Proizvod.Id">Ažuriraj proizvod</button>
        </fieldset>

    </form>
}
else
{
    <div>
        <form method="post">
            <fieldset>
                <legend>Unos proizvoda</legend>
                <div class="form-group">
                    <label>Ime</label>
                    <input asp-for="@Model.Proizvod.Name" />
                    <span asp-validation-for="@Model.Proizvod.Name"></span>
                </div>
                <div class="form-group">
                    <label>Opis</label>
                    <input asp-for="@Model.Proizvod.Description" />
                    <span asp-validation-for="@Model.Proizvod.Description"></span>
                </div>
                <div class="form-group">
                    <label>Cijena</label>
                    <input asp-for="@Model.Proizvod.Price" />
                    <span asp-validation-for="@Model.Proizvod.Price"></span>
                </div>

                <button type="submit" class="btn btn-primary" asp-page-handler="AddProduct">Unesi proizvod</button>
            </fieldset>

        </form>
    </div>
}

<br />
@*<div>
        <form method="post">
            <fieldset>
                <legend>Unos korisnika</legend>
                <label>Username</label>
                <input type="text" class="form-control" name="Username" /><br />
                <label>Ime</label>
                <input type="text" class="form-control" name="FirstName" /><br />
                <label>Prezime</label>
                <input type="text" class="form-control" name="LastName" /><br />
                <button class="button" asp-page-handler="AddUser">Unesi korisnika</button>
            </fieldset>

        </form>
    </div>
    <br/>*@

@if (Model != null && Model.Proizvodi != null)
{
    <table class="table">
        @for (int i = 0; i < Model.Proizvodi.Count(); i++)
        {
            <tr>
                <td>@Model.Proizvodi[i].Name</td>
                <td>@Model.Proizvodi[i].Description</td>
                <td>@Model.Proizvodi[i].Price</td>
                <td>
                    <a asp-page-handler="EditProduct" asp-route-indeks="@i">Odaberi</a>
                    <a asp-page-handler="DeleteProduct"
                       onclick="return confirm('Jeste li sigurni da želite obrisati ovaj proizvod?')"
                       asp-route-id="@Model.Proizvodi[i].Id">Obriši</a>
                </td>
            </tr>
        }
    </table>
}

<email mail-to="support" domain="gmail.com" title="Kontaktirajte nas"></email>
<!--
<a href="mailto:support@domena.com">Kontaktirajte nas</a>-->


@section scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}
